#!/bin/sh
( cd var/www/htdocs ; rm -rf postfixadmin )
( cd var/www/htdocs ; ln -sf postfixadmin-2.3.7/ postfixadmin )

padir=var/www/htdocs/postfixadmin-2.3.7

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
sed -i "s,change-this-to-your.domain.tld,`hostname -s`.`hostname -d`,g" etc/dovecot/dovecot.conf.new
sed -i "s,change-this-to-your.domain.tld,`hostname -s`.`hostname -d`,g" etc/postfix/main.cf.new
sed -i "s,domain.tld,`hostname -d`,g" etc/postfix/main.cf.new

config  $padir/config.inc.php.new
config etc/dovecot/dovecot.conf.new
config etc/dovecot/dovecot-sql.conf.new
config etc/postfix/mysql_virtual_alias_domain_catchall_maps.cf.new
config etc/postfix/mysql_virtual_alias_domain_mailbox_maps.cf.new
config etc/postfix/mysql_virtual_alias_domain_maps.cf.new
config etc/postfix/mysql_virtual_alias_maps.cf.new
config etc/postfix/mysql_virtual_domains_maps.cf.new
config etc/postfix/mysql_virtual_mailbox_maps.cf.new

sed -i "s,change-this-to-your.domain.tld,`hostname -s`.`hostname -d`,g" $padir/config.inc.php*

if [ ! -d var/lib/mysql/postfix/ ]; then
echo "Choose password for postfix database"
read papass

sed -i "s,postfixadminpass,$papass,g" $padir/*
sed -i "s,postfixadminpass,$papass,g" etc/dovecot/dovecot-sql.conf*
sed -i "s,postfixadminpass,$papass,g" var/log/setup/tmp/postfixadmin.sql
sed -i "s,postfixadminpass,$papass,g" etc/postfix/mysql_virtual_alias_domain_catchall_maps.cf*
sed -i "s,postfixadminpass,$papass,g" etc/postfix/mysql_virtual_alias_domain_mailbox_maps.cf*
sed -i "s,postfixadminpass,$papass,g" etc/postfix/mysql_virtual_alias_domain_maps.cf*
sed -i "s,postfixadminpass,$papass,g" etc/postfix/mysql_virtual_alias_maps.cf*
sed -i "s,postfixadminpass,$papass,g" etc/postfix/mysql_virtual_domains_maps.cf*
sed -i "s,postfixadminpass,$papass,g" etc/postfix/mysql_virtual_mailbox_maps.cf*

echo "Enter Mysql's root password [if none Press ENTER]:"
read mysqlpass
if [ "$mysqlpass" != "" ]; then
mysql -uroot -p$mysqlpass < var/log/setup/tmp/postfixadmin.sql
else
mysql -uroot < var/log/setup/tmp/postfixadmin.sql
fi
fi
if [ -r var/www/htdocs/postfixadmin-2.3.6/config.inc.php ]; then cp var/www/htdocs/postfixadmin-2.3.6/config.inc.php $padir/ ; fi
postmap  etc/postfix/transport

rm -f $0
